Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mediprima.uma.protocol.v1
Class SearchUrgentMedicalAidAttestationResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.commons.protocol.v2.StatusResponseType
              be.fgov.ehealth.mediprima.uma.protocol.v1.SearchUrgentMedicalAidAttestationResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2019-04-01T01:45:22+02:00",
               comments="JAXB RI v2.2.11")
    public class SearchUrgentMedicalAidAttestationResponse

extends StatusResponseType
implements Serializable

Search urgent medical aid attestation result(s)

Java class for SearchUrgentMedicalAidAttestationResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SearchUrgentMedicalAidAttestationResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence minOccurs="0">
             <element name="Attestation" type="{urn:be:fgov:ehealth:mediprima:uma:core:v1}AttestationType" maxOccurs="unbounded"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SearchUrgentMedicalAidAttestationResponse()`

Method Summary
`List<AttestationType>` | `getAttestations()` Gets the value of the attestations property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType
`getStatus, setStatus`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchUrgentMedicalAidAttestationResponse

    public SearchUrgentMedicalAidAttestationResponse()

Method Detail

### getAttestations

    public List<AttestationType> getAttestations()

  Gets the value of the attestations property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attestations property.

  For example, to add a new item, do as follows:

          getAttestations().add(newItem);

  Objects of the following type(s) are allowed in the list `AttestationType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PHYSIOTHERAPIST 3.17.1 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.